DRM_DEV_REF(9)

NAME
drm_dev_ref - Take reference of a DRM device

SYNOPSIS

void drm_dev_ref(struct drm_device * dev);

ARGUMENTS

dev
    device to take reference of or NULL

DESCRIPTION

This increases the ref-count of dev by one. You *must* already own a reference when calling this. Use drm_dev_unref to drop this reference again.

This function never fails. However, this function does not provide *any* guarantee whether the device is alive or running. It only provides a reference to the object and the memory associated with it.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT